﻿Imports System
Imports System.Collections
Imports System.Configuration
Imports System.Data
Imports System.Linq
Imports System.Web
Imports System.Web.Security
Imports System.Web.UI
Imports System.Web.UI.HtmlControls
Imports System.Web.UI.WebControls
Imports System.Web.UI.WebControls.WebParts
Imports System.Xml.Linq

Partial Class ChooseStyle
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)
        Call SetColors()
    End Sub
    Private Sub SetColors()
        Dim myForeColor As System.Drawing.Color = System.Drawing.Color.White
        Dim myBackColor As System.Drawing.Color = System.Drawing.Color.Black
        If Profile.PageStyle = "BlackOnWhite" Then
            myForeColor = System.Drawing.Color.Black
            myBackColor = System.Drawing.Color.White
        End If
        Label1.Text = Profile.PageStyle
        DropDownList1.ForeColor = myForeColor
        DropDownList1.BackColor = myBackColor
        For Each c As Control In Me.Page.Controls
            Try
                Dim d As WebControl = CType(c, WebControl)
                d.ForeColor = myForeColor
                d.BackColor = myBackColor
            Catch myEx As Exception
            End Try
        Next
    End Sub
    Protected Sub DropDownList1_SelectedIndexChanged(ByVal sender As Object, ByVal e As EventArgs)
        Profile.PageStyle = DropDownList1.SelectedValue
        Call SetColors()
    End Sub

End Class
